<div class="fl">
  <div id="RSide">
    <div id="users_tb_" class="users_tb_">
      <ul>
        <li id="users_tb_1" class="users_hovertab" onclick="x:HoverLi(1);">基本资料</li>
        <li id="users_tb_2" class="users_normaltab" onclick="i:HoverLi(2);">账号管理</li>
      </ul>
    </div><!--tb_ end-->
    <div class="cl"></div>
    <div class="users_ctt">
      <%= labelled_form_for :user, @user, :url => {:action => "account"}, :html => {:id => 'my_account_form', :method => :post} do |f| %>
      <div class="users_dis" id="users_tbc_01">
        <% if( @act.nil? || @act != 'password') %>
          <%= render_flash_messages %>
          <%= error_messages_for 'user',@user.user_extensions %>
        <% end %>
        <ul class="setting_left">
          <li>登录名&nbsp;:&nbsp;<span style="color:red;">*</span></li>
          <li>邮箱&nbsp;:&nbsp;<span style="color:red;">*</span></li>
          <li>身份&nbsp;:&nbsp;<span style="color:red;">*</span></li>
          <li nhname="tag" nh_tag_0="true" nh_tag_1="true" nh_tag_3="true" style="display:none;">姓(Last Name)&nbsp;:&nbsp;<span style="color:red;">*</span></li>
          <li nhname="tag" nh_tag_0="true" nh_tag_1="true" nh_tag_3="true" style="display:none;">名(First Name)&nbsp;:&nbsp;<span style="color:red;">*</span></li>
          <li nhname="tag" nh_tag_2="true" style="display:none;">组织名&nbsp;:&nbsp;<span style="color:red;">*</span></li>
          <li nhname="tag" nh_tag_0="true" nh_tag_1="true" nh_tag_3="true" style="display:none;">性别&nbsp;:&nbsp;</li>
          <li nhname="tag" nh_tag_0="true" nh_tag_1="true" nh_tag_3="true" style="display:none;">工作单位&nbsp;:&nbsp;</li>
          <li>地区&nbsp;:&nbsp;</li>
          <li>邮件通知&nbsp;:&nbsp;</li>
          <!--<li>个人签名&nbsp;:&nbsp;</li>-->
          <li>个人简介&nbsp;:&nbsp;</li>
          <li>&nbsp;&nbsp;</li>
        </ul>
        <ul class="setting_right ">
          <li><%= f.text_field :login,:no_label=>true, :required => true,:style=>"color:grey", :nh_required=>"1",:disabled=>'disabled', :name => "login",:class=>"w210"%></li>
          <li><%= f.text_field :mail,:no_label=>true, :required => true,:nh_required=>"1",:class=>"w210"%></li>

          <li>
            <select onchange="showtechnical_title(this.value);" required = true, nh_required="1" name="identity" id="userIdentity" class="location" class="w70" style="height:28px;margin-left:2px;">
              <option value="-1">
                <%= l(:label_account_identity_choose) %>
              </option>
              <option value="0">
                <%= l(:label_account_identity_teacher) %>
              </option>
              <option value="1">
                <%= l(:label_account_identity_student) %>
              </option>

              <option value="3">
                <%= l(:label_account_identity_developer) %>
              </option>
            </select>
            <select nhname="tag" nh_tag_0="true" name="technical_title" id="userTechnical_title" class="w70" style='display:none;height:28px;'>
              <option value="教授">教授</option>
              <option value="副教授">副教授</option>
              <option value="讲师">讲师</option>
              <option value="助教">助教</option>
            </select>
            <span nhname="tag" nh_tag_1="true" style='display:none;'>
              <% if !User.current.user_extensions.nil? && !User.current.user_extensions.student_id.nil? %>
                <%= text_field_tag :no, User.current.user_extensions.student_id, :placeholder => l(:label_account_identity_studentID),:style=>"width:127px;" %>
              <% else %>
                <%= text_field_tag :no, nil, :placeholder => l(:label_account_identity_studentID),:style=>"60px" %></span>
              <% end %>
            </span>
            <span id="identity_hint" style="display: none"></span>
          </li>

          <li nhname="tag" nh_tag_0="true" nh_tag_1="true" nh_tag_3="true" style="display:none;"><%= f.text_field :lastname,:no_label=>true, :required => true,:nh_required=>"1",:class=>"w210" %>
          <li nhname="tag" nh_tag_0="true" nh_tag_1="true" nh_tag_3="true" style="display:none;"><%= f.text_field :firstname,:no_label=>true, :required => true,:nh_required=>"1",:class=>"w210" %>
          <li nhname="tag" nh_tag_2="true" style="display:none;"><%= text_field_tag :enterprise_name,@user.firstname,:no_label=>true, :required => true,:nh_required=>"1",:class=>"w210" %>
          <li nhname="tag" nh_tag_0="true" nh_tag_1="true" nh_tag_3="true" style="display:none;">
            <select class="w70" style="height:28px;margin-left:2px;" id="gender" name="gender"><option value="0">男</option><option value="1">女</option></select>
          </li>

          <li nhname="tag" nh_tag_0="true" nh_tag_1="true" nh_tag_3="true" style="display:none;">
            <% if User.current.user_extensions.nil? %>
              <input nhname="tag" autocomplete="off"  maxlength="36"  nh_tag_0="true" nh_tag_1="true" id="province" name="province" style="display: none;" class="w210" type="text"  >
              <input nhname="tag" nh_tag_3="true" id="occupation" name="occupation" style="display: none;" class="w210" type="text" value="" />
                <span id="hint" style="color: #7f7f7f;display: none">平台找到了<a id="school_num" href="javascript:void(0)" style="color: red"  >0</a>个包含<a id="search_condition" href="javascript:void(0)">"国防"</a>的高校</span>
              <!--<input nhname="tag" nh_tag_0="true" nh_tag_1="true" id="occupation_name" type="text" style="display: none;width:117px;" readonly/>-->
            <% elsif User.current.user_extensions.identity == 3 || User.current.user_extensions.identity == 2 %>
              <input nhname="tag" autocomplete="off"   maxlength="36" nh_tag_0="true" nh_tag_1="true" id="province" name="province" style="display: none;" class="w210" type="text"   >
              <input nhname="tag" nh_tag_3="true" id="occupation" name="occupation" style="display: none;" class="w210"  type="text" value="<%= @user.user_extensions.occupation %>" />
                <span id="hint" style="color: #7f7f7f;display: none">平台找到了<a id="school_num" href="javascript:void(0)" style="color: red"  >0</a>个包含<a id="search_condition" href="javascript:void(0)">"国防"</a>的高校</span>
              <!--<input nhname="tag" nh_tag_0="true" nh_tag_1="true" id="occupation_name" type="text" style="display: none;width:117px;" readonly/>-->
            <% elsif User.current.user_extensions.school.nil? %>
              <input nhname="tag" autocomplete="off" maxlength="36"   nh_tag_0="true" nh_tag_1="true" id="province" name="province" style="display: none;" class="w210" type="text"  >
              <input nhname="tag" nh_tag_3="true" id="occupation" name="occupation" style="display: none;" class="w210"  type="text"  />
                <span id="hint" style="color: #7f7f7f;display: none">平台找到了<a id="school_num" href="javascript:void(0)" style="color: red"  >0</a>个包含<a id="search_condition" href="javascript:void(0)">"国防"</a>的高校</span>
              <!--<input nhname="tag" nh_tag_0="true" nh_tag_1="true" id="occupation_name" type="text" style="display: none;width:117px;" readonly/>-->
            <% else %>
              <input nhname="tag" autocomplete="off"  maxlength="36"  nh_tag_0="true" nh_tag_1="true" id="province" name="province" style="display: none;" class="w210" type="text" value="<%= User.current.user_extensions.school %>" />
              <input nhname="tag" nh_tag_3="true" id="occupation" name="occupation" type="text"  style="display: none;" class="w210" value="<%= User.current.user_extensions.school.id %>"/>
              <span id="hint" style="color: #7f7f7f;display: none" >平台找到了<a id="school_num" href="javascript:void(0)" style="color: red" >0</a>个包含<a id="search_condition" href="javascript:void(0)">"国防"</a>的高校</span>
              <!--<input nhname="tag" nh_tag_0="true" nh_tag_1="true" id="occupation_name" type="text"  style="display: none;width:117px;" value="<%#= User.current.user_extensions.school.name %>" readonly="true" style="background-color: #E2E2E2;"/>-->
            <% end %>
          </li>

          <li>
            <select onchange="showcity(this.value, document.getElementById('userCity'));" name="province" id="userProvince" class="location" style="height:28px;margin-left:2px;">
              <option value="">--请选择省份--</option>
              <option value="北京">北京</option>
              <option value="上海">上海</option>
              <option value="广东">广东</option>
              <option value="江苏">江苏</option>
              <option value="浙江">浙江</option>
              <option value="重庆">重庆</option>
              <option value="安徽">安徽</option>
              <option value="福建">福建</option>
              <option value="甘肃">甘肃</option>
              <option value="广西">广西</option>
              <option value="贵州">贵州</option>
              <option value="海南">海南</option>
              <option value="河北">河北</option>
              <option value="黑龙江">黑龙江</option>
              <option value="河南">河南</option>
              <option value="湖北">湖北</option>
              <option value="湖南">湖南</option>
              <option value="江西">江西</option>
              <option value="吉林">吉林</option>
              <option value="辽宁">辽宁</option>
              <option value="内蒙古">内蒙古</option>
              <option value="宁夏">宁夏</option>
              <option value="青海">青海</option>
              <option value="山东">山东</option>
              <option value="山西">山西</option>
              <option value="陕西">陕西</option>
              <option value="四川">四川</option>
              <option value="天津">天津</option>
              <option value="新疆">新疆</option>
              <option value="西藏">西藏</option>
              <option value="云南">云南</option>
              <option value="香港">香港特别行政区</option>
              <option value="澳门">澳门特别行政区</option>
              <option value="台湾">台湾</option>
              <option value="海外">海外</option>
            </select>
            <select name="city" id="userCity" class="location" style="height:28px;"></select>
          </li>

          <li>
            <%= select_tag( 'user[mail_notification]', options_for_select( user_mail_notification_options(@user), @user.mail_notification) ) %>
            <label>不要发送对我自己提交的修改的通知<%= check_box_tag 'no_self_notified', 1, @user.pref[:no_self_notified],:style=>"height:14px;" %></label>
          </li>
          <!--<li><input name="brief_introduction" class="w450" type="text" maxlength="255" value="<%#= (@user.user_extensions.nil?) ? '' : @user.user_extensions.brief_introduction %>"></li>-->
          <li style="height:auto;"><textarea name="description" class="w450 h200" maxlength="255" style="resize:none;"><%= (@user.user_extensions.nil?) ? '' : @user.user_extensions.description %></textarea></li>
          <li style="display:none;"><%= f.select :language, :Chinese => :zh, :English => :en %></li>
          <li class="ml2">
            <a href="javascript:void(0);" id="my_account_form_link" class="blue_btn fl">确认</a>
            <input type="submit" id="my_account_form_btn" style="display:none;"/>
            <!--<a href="javascript:void(0);" class="grey_btn ml10 fl">取消</a>-->
          </li>
        </ul>
        <div class="cl"></div>
      </div><!--tbc_01 end-->
      <% end %>

      <%= form_tag({:action => "password"},:id => 'my_password_form') do %>
      <div class="users_undis" id="users_tbc_02">
        <% if( !@act.nil? && @act == 'password') %>
          <%= render_flash_messages %>
          <%= error_messages_for 'user' %>
        <% end %>
        <ul class="setting_left">
          <li>原始密码&nbsp;:&nbsp;</li>
          <li>新密码&nbsp;:&nbsp;</li>
          <li>确认密码&nbsp;:&nbsp;</li>
        </ul>
        <ul class="setting_right ">
          <li><input id="password" name="password" class="w210" type="password" required="true" nh_required="1"></li>
          <li><input id="new_password" name="new_password" class="w210" type="password" required="true" nh_required="1"><span class="c_red ml5">请输入8-12个字符</span></li>
          <li><input id="new_password_confirmation" name="new_password_confirmation" class="w210" type="password" required="true" nh_required="1"></li>
          <li class="ml2">
            <a href="javascript:;" id="my_password_form_link" class="blue_btn fl">确认</a>
            <input type="submit" id="my_password_form_btn" style="display:none;"/>
            <!--<a href="javascript:void(0);" class="grey_btn ml10 fl">取消</a>-->
          </li>
        </ul>
        <div class="cl"></div>
      </div><!--tbc_02 end-->
      <div class="cl"></div>
      <% end %>
    </div><!--ctt end-->


  </div><!--users_setting end-->

</div>
<div id="search_school_result_list"
     style="width: 205px;line-height: 1.5;min-height:20px; max-height: 200px; height: auto!; !important;display: none;background: white;overflow: scroll;border: solid 1px #cccccc; overflow-x: hidden; overflow-y: auto;">
</div>
<div id="WOpenWindow">
  <a class="modal_close" href="#"></a>
  <h2 style="margin: 10px"><%= l(:lable_school_list)%></h2>
  &nbsp;&nbsp;
  <div class="pcontent">
    <ul id="provincelist" class="school_list">
      <% @ss = School.find_by_sql("select distinct province from schools") %>
      <% @ss.each do |s| %>
        <li style="width: 15%; float: left;">
          <a style="cursor: pointer;" onclick="get_options('<%= s.province %>')"><%= s.province %>
          </a>
        </li>
      <% end %>
    </ul>
  </div>

  <div class="content" style="font-size: 13px">
    <ul id="schoollist" class="school_list">

    </ul>
  </div>

</div>

<%= stylesheet_link_tag 'nyan' %>
<%= javascript_include_tag '/javascripts/jquery.leanModal.min.js' %>
<% if  !User.current.user_extensions.nil? %>
  <% province = User.current.user_extensions.location %>
  <% city = User.current.user_extensions.location_city %>
  <% identity = User.current.user_extensions.identity %>
  <% occupation1 = User.current.user_extensions.occupation %>
  <% occupation = User.current.user_extensions.occupation %>
  <% title = User.current.user_extensions.technical_title %>
  <% gender = User.current.user_extensions.gender %>
  <% language = User.current.language %>
<% else %>
  <% province = "湖南省" %>
  <% city = "长沙"%>
  <% identity = ""%>
  <% occupation1 = ""%>
  <% title = "" %>
  <% language = ""%>
<% end %>

<script type="text/javascript">
  function showcity(province, cityField) {
    switch (province) {
      case "北京" :
        var cityOptions = new Array(
          "东城", "西城", "朝阳", "丰台", "石景山", "海淀", "门头沟",
          "房山", "通州", "顺义", "昌平", "大兴", "平谷", "怀柔", "密云", "延庆");
        break;
      case "上海" :
        var cityOptions = new Array(
          "崇明", "黄浦", "卢湾", "徐汇", "长宁", "静安", "普陀", "闸北", "虹口", "杨浦", "闵行",
          "宝山", "嘉定", "浦东", "金山", "松江", "青浦", "南汇", "奉贤");
        break;
      case "广东" :
        var cityOptions = new Array(
          "广州", "深圳", "珠海", "东莞", "中山", "佛山", "惠州", "河源", "潮州", "江门", "揭阳", "茂名",
          "梅州", "清远", "汕头", "汕尾", "韶关", "顺德", "阳江", "云浮", "湛江", "肇庆");
        break;
      case "江苏" :
        var cityOptions = new Array(
          "南京", "常熟", "常州", "海门", "淮安", "江都", "江阴", "昆山", "连云港", "南通",
          "启东", "沭阳", "宿迁", "苏州", "太仓", "泰州", "同里", "无锡", "徐州", "盐城",
          "扬州", "宜兴", "仪征", "张家港", "镇江", "周庄");
        break;
      case "重庆" :
        var cityOptions = new Array(
          "万州", "涪陵", "渝中", "大渡口", "江北", "沙坪坝", "九龙坡", "南岸", "北碚", "万盛",
          "双挢", "渝北", "巴南", "黔江", "长寿", "綦江", "潼南", "铜梁", "大足", "荣昌", "壁山",
          "梁平", "城口", "丰都", "垫江", "武隆", "忠县", "开县", "云阳", "奉节", "巫山", "巫溪",
          "石柱", "秀山", "酉阳", "彭水", "江津", "合川", "永川", "南川");
        break;
      case "安徽" :
        var cityOptions = new Array(
          "合肥", "安庆", "蚌埠", "亳州", "巢湖", "滁州", "阜阳", "贵池", "淮北", "淮化", "淮南",
          "黄山", "九华山", "六安", "马鞍山", "宿州", "铜陵", "屯溪", "芜湖", "宣城");
        break;
      case "福建" :
        var cityOptions = new Array(
          "福州", "厦门", "泉州", "漳州", "龙岩", "南平", "宁德", "莆田", "三明");
        break;
      case "甘肃" :
        var cityOptions = new Array(
          "兰州", "白银", "定西", "敦煌", "甘南", "金昌", "酒泉", "临夏", "平凉", "天水",
          "武都", "武威", "西峰", "张掖");
        break;
      case "广西" :
        var cityOptions = new Array(
          "南宁", "百色", "北海", "桂林", "防城港", "贵港", "河池", "贺州", "柳州", "钦州", "梧州", "玉林");
        break;
      case "贵州" :
        var cityOptions = new Array(
          "贵阳", "安顺", "毕节", "都匀", "凯里", "六盘水", "铜仁", "兴义", "玉屏", "遵义");
        break;
      case "海南" :
        var cityOptions = new Array(
          "海口", "儋县", "陵水", "琼海", "三亚", "通什", "万宁");
        break;
      case "河北" :
        var cityOptions = new Array(
          "石家庄", "保定", "北戴河", "沧州", "承德", "丰润", "邯郸", "衡水", "廊坊", "南戴河", "秦皇岛",
          "唐山", "新城", "邢台", "张家口");
        break;
      case "黑龙江" :
        var cityOptions = new Array(
          "哈尔滨", "北安", "大庆", "大兴安岭", "鹤岗", "黑河", "佳木斯", "鸡西", "牡丹江", "齐齐哈尔",
          "七台河", "双鸭山", "绥化", "伊春");
        break;
      case "河南" :
        var cityOptions = new Array(
          "郑州", "安阳", "鹤壁", "潢川", "焦作", "济源", "开封", "漯河", "洛阳", "南阳", "平顶山",
          "濮阳", "三门峡", "商丘", "新乡", "信阳", "许昌", "周口", "驻马店");
        break;
      case "香港" :
        var cityOptions = new Array(
          "香港", "九龙", "新界");
        break;
      case "湖北" :
        var cityOptions = new Array(
          "武汉", "恩施", "鄂州", "黄冈", "黄石", "荆门", "荆州", "潜江", "十堰", "随州", "武穴",
          "仙桃", "咸宁", "襄阳", "襄樊", "孝感", "宜昌");
        break;
      case "湖南" :
        var cityOptions = new Array(
          "长沙", "常德", "郴州", "衡阳", "怀化", "吉首", "娄底", "邵阳", "湘潭", "益阳", "岳阳",
          "永州", "张家界", "株洲");
        break;
      case "江西" :
        var cityOptions = new Array(
          "南昌", "抚州", "赣州", "吉安", "景德镇", "井冈山", "九江", "庐山", "萍乡",
          "上饶", "新余", "宜春", "鹰潭");
        break;
      case "吉林" :
        var cityOptions = new Array(
          "长春", "吉林", "白城", "白山", "珲春", "辽源", "梅河", "四平", "松原", "通化", "延吉");
        break;
      case "辽宁" :
        var cityOptions = new Array(
          "沈阳", "鞍山", "本溪", "朝阳", "大连", "丹东", "抚顺", "阜新", "葫芦岛", "锦州",
          "辽阳", "盘锦", "铁岭", "营口");
        break;
      case "澳门" :
        var cityOptions = new Array("澳门");
        break;
      case "内蒙古" :
        var cityOptions = new Array(
          "呼和浩特", "阿拉善盟", "包头", "赤峰", "东胜", "海拉尔", "集宁", "临河", "通辽", "乌海",
          "乌兰浩特", "锡林浩特");
        break;
      case "宁夏" :
        var cityOptions = new Array(
          "银川", "固源", "石嘴山", "吴忠");
        break;
      case "青海" :
        var cityOptions = new Array(
          "西宁", "德令哈", "格尔木", "共和", "海东", "海晏", "玛沁", "同仁", "玉树");
        break;
      case "山东" :
        var cityOptions = new Array(
          "济南", "滨州", "兖州", "德州", "东营", "菏泽", "济宁", "莱芜", "聊城", "临沂",
          "蓬莱", "青岛", "曲阜", "日照", "泰安", "潍坊", "威海", "烟台", "枣庄", "淄博");
        break;
      case "山西" :
        var cityOptions = new Array(
          "太原", "长治", "大同", "候马", "晋城", "离石", "临汾", "宁武", "朔州", "忻州",
          "阳泉", "榆次", "运城");
        break;
      case "陕西" :
        var cityOptions = new Array(
          "西安", "安康", "宝鸡", "汉中", "渭南", "商州", "绥德", "铜川", "咸阳", "延安", "榆林");
        break;
      case "四川" :
        var cityOptions = new Array(
          "成都", "巴中", "达川", "德阳", "都江堰", "峨眉山", "涪陵", "广安", "广元", "九寨沟",
          "康定", "乐山", "泸州", "马尔康", "绵阳", "眉山", "南充", "内江", "攀枝花", "遂宁",
          "汶川", "西昌", "雅安", "宜宾", "自贡", "资阳");
        break;
      case "台湾" :
        var cityOptions = new Array(
          "台北", "基隆", "台南", "台中", "高雄", "屏东", "南投", "云林", "新竹", "彰化", "苗栗",
          "嘉义", "花莲", "桃园", "宜兰", "台东", "金门", "马祖", "澎湖");
        break;
      case "天津" :
        var cityOptions = new Array(
          "天津", "和平", "东丽", "河东", "西青", "河西", "津南", "南开", "北辰", "河北", "武清", "红挢",
          "塘沽", "汉沽", "大港", "宁河", "静海", "宝坻", "蓟县");
        break;
      case "新疆" :
        var cityOptions = new Array(
          "乌鲁木齐", "阿克苏", "阿勒泰", "阿图什", "博乐", "昌吉", "东山", "哈密", "和田", "喀什",
          "克拉玛依", "库车", "库尔勒", "奎屯", "石河子", "塔城", "吐鲁番", "伊宁");
        break;
      case "西藏" :
        var cityOptions = new Array(
          "拉萨", "阿里", "昌都", "林芝", "那曲", "日喀则", "山南");
        break;
      case "云南" :
        var cityOptions = new Array(
          "昆明", "大理", "保山", "楚雄", "大理", "东川", "个旧", "景洪", "开远", "临沧", "丽江",
          "六库", "潞西", "曲靖", "思茅", "文山", "西双版纳", "玉溪", "中甸", "昭通");
        break;
      case "浙江" :
        var cityOptions = new Array(
          "杭州", "安吉", "慈溪", "定海", "奉化", "海盐", "黄岩", "湖州", "嘉兴", "金华", "临安",
          "临海", "丽水", "宁波", "瓯海", "平湖", "千岛湖", "衢州", "江山", "瑞安", "绍兴", "嵊州",
          "台州", "温岭", "温州", "余姚", "舟山");
        break;
      case "海外" :
        var cityOptions = new Array(
          "美国", "日本", "英国", "法国", "德国", "其他");
        break;
      default:
        var cityOptions = new Array("");
        break;
    }

    cityField.options.length = 0;
    for (var i = 0; i < cityOptions.length; i++) {
      cityField.options[i] = new Option(cityOptions[i], cityOptions[i]);
      /*
       if (cityField.options[i].value==city)
       {
       //alert("here put City ok!");
       document.oblogform["city"].selectedIndex = i;
       }*/
    }
  }
  function showtechnical_title(val){
    $("*[nhname='tag']").each(function(){
      $("*[nh_required='1']",$(this)).attr("required",false);
      $(this).hide()
    });

    $("*[nh_tag_"+val+"='true']").each(function(){
      $("*[nh_required='1']",$(this)).attr("required",true);
      $(this).show()
    });
  }
  function init_identity_and_title(pField, identity, cField, title, language) {
    for (var i = 0; i < pField.options.length; i++) {
      if (pField.options[i].value == identity) {
        pField.selectedIndex = i;
      }
    }
    showtechnical_title(identity, cField);

    if(language == 'zh') {
      switch (title) {
        case 'Professor' :
          title1 = '教授';
          break;
        case 'Associate professor' :
          title1 = '副教授';
          break;
        case 'Lecturer' :
          title1 = '讲师';
          break;
        case 'Teaching assistant' :
          title1 = '助教';
          break;
        default :
          title1 = title;
          break;
      }
    }
    else {
      switch (title) {
        case '教授' :
          title1 = 'Professor';
          break;
        case '副教授' :
          title1 = 'Associate professor';
          break;
        case '讲师' :
          title1 = 'Lecturer';
          break;
        case '助教' :
          title1 = 'Teaching assistant';
          break;
        default :
          title1 = title;
          break;
      }
    }

    for (var i = 0; i < cField.options.length; i++) {
      if (cField.options[i].value == title1) {
        cField.selectedIndex = i;
      }
    }
  }
  function get_options(value) {
    var prefix = "";
    if(location.href.indexOf('ros')>=0)
    {
      prefix = "/ros"
    }
    $.ajax({
      type: "POST",
      url: prefix + '/school/get_options/' + encodeURIComponent(value),
      data: 'text',
      success: function (data) {
        $("#province").val(value);
        $("#schoollist").html(data);
      }
    });
  }
  function test(id, name) {
    //$("#occupation").html("<option value='"+id+"'>"+name+"</option>");
    $("#occupation").val(id);
    $("#occupation_name").val(name);

    $("#lean_overlay").hide();
    $("#WOpenWindow").hide();
  }
  function init_province_and_city(pField, province, cField, city) {
    for (var i = 0; i < pField.options.length; i++) {
      if (pField.options[i].value == province) {
        pField.selectedIndex = i;
      }
    }
    showcity(province, cField);
    for (var i = 0; i < cField.options.length; i++) {
      if (cField.options[i].value == city) {
        cField.selectedIndex = i;
      }
    }
  }
  function init_gender(pField, gender) {
      for (var i=0; i<pField.options.length; i++) {
          if (pField.options[i].value == gender) {
              pField.selectedIndex = i;
          }
      }
  }
  function changeValue(value,data){
     //console.log(value+","+data)
     $("input[name='province']").val(value);
     $("input[name='occupation']").val(data);
     $("#search_school_result_list").hide();
      $("#hint").hide();
  }
  function add_school(name){
      $.ajax({
          url: '<%= url_for(:controller => 'school',:action => 'add_school') %>' + '?name=' + name,
          type: 'post',
          success: function (data) {

          }
      });
  }
  var lastSearchCondition = '';
  var page = 1; //唯一控制页码 变量
  var count = 0; //查询结果的总量
  var maxPage = 0 ;//最大页面值
  $(function() {
      $("#search_school_result_list").scroll(function(e){
          nScrollHight = $(this)[0].scrollHeight;
          nScrollTop = $(this)[0].scrollTop;
          var nDivHight = $(this).height();
          if(nScrollTop + nDivHight >= nScrollHight) //到底部了，
          {
              //判断页码是否是最大值，如果是的，就不去请求了
              if(page >= maxPage){
                  return;
              }else{  //如果不是，那就请求下一页，请求数据处理
                  page ++;
                  $.ajax({
                      url: '<%= url_for(:controller => 'school',:action => 'on_search') %>' + '?name=' + $("input[name='province']").val() + '&page=' + page,
                      type: 'post',
                      success: function (data) {
                          schoolsResult = data.schools;
                          if (schoolsResult.length != undefined && schoolsResult.length != 0) {
                              var i = 0;
                              for (; i < schoolsResult.length; i++) {
                                  link = '<a onclick="window.changeValue(\'' + schoolsResult[i].school.name.replace(/\s/g, " ") + '\',\'' + schoolsResult[i].school.id + '\')" href="javascript:void(0)">' + schoolsResult[i].school.name + '</a><br/>';
                                  $("#search_school_result_list").append(link);
                              }
                          } else {

                          }
                      }
                  });
              }

          }
      });
      //查询学校
      $("input[name='province']").on('input', function (e) {
          throttle(shcool_search_fn,window,e);
      });

      function throttle(method,context,e){
          clearTimeout(method.tId);
          method.tId=setTimeout(function(){
              method.call(context,e);
          },500);
      }

      function shcool_search_fn(e){

          if($(e.target).val().trim() == lastSearchCondition && $(e.target).val().trim() != ''){//如果输入框没有改变或者输入框为空就返回
              return;
          }
          $("input[name='occupation']").val(''); //一旦有输入就清空id。
          lastSearchCondition = $(e.target).val().trim();
          page = 1; //有新的搜索，页面重置为1
          $.ajax({
              url: '<%= url_for(:controller => 'school',:action => 'on_search') %>' + '?name=' + e.target.value+'&page='+page,
              type: 'post',
              success: function (data) {
                  schoolsResult = data.schools;
                  count = data.count;
                  maxPage = Math.ceil(count/100) //最大页码值
                  if(schoolsResult.length != undefined && schoolsResult.length != 0) {
                      var i = 0;
                      $("#search_school_result_list").html('');
                      for (; i < schoolsResult.length; i++) {
                          link = '<a onclick="window.changeValue(\'' + schoolsResult[i].school.name.replace(/\s/g," ") + '\',\'' + schoolsResult[i].school.id + '\')" href="javascript:void(0)">' + schoolsResult[i].school.name + '</a><br/>';
                          $("#search_school_result_list").append(link);
                      }
                      $("#search_school_result_list").css('left', $(e.target).offset().left);
                      $("#search_school_result_list").css('top', $(e.target).offset().top + 28);
                      $("#search_school_result_list").css("position", "absolute");
                      $("#search_school_result_list").show();
                      if($(e.target).val().trim() != '') {
                          str = e.target.value.length > 8 ?  e.target.value.substr(0, 6)+"..." : e.target.value;
                          $("#hint").html('找到了' + count + '个包含"' + str + '"的高校');
                          $("#hint").show();
                      }else{
                          $("#hint").hide();
                      }
                  }else{
                      $("#search_school_result_list").html('');
                      str = e.target.value.length > 4 ?  e.target.value.substr(0, 4)+"..." : e.target.value;
                      $("#hint").html('没有找到包含"'+str+'"的高校，<a style="color:#64bdd9" onclick="add_school(\''+ e.target.value+'\');" href="javascript:void(0);">创建高校</a>');
                      $("#hint").show();
                  }
              }
          });
      }
      $(document.body).click(function(e){
          if($(e.target).attr("id") != 'search_school_result_list' && $(e.target).attr("id") != 'province')
          {
              $("#search_school_result_list").hide();
              $("#hint").hide();
          }
      });
      $("input[name='province']").on('focus', function (e) {
          if( $("input[name='occupation']").val() != ''){ //如果已经有id了。肯定存在，不用去找了。
              return;
          }

          $.ajax({
              url: '<%= url_for(:controller => 'school',:action => 'on_search') %>' + '?name=' + e.target.value+'&page='+page,
              type: 'post',
              success: function (data) {
                  schoolsResult = data.schools;
                  count = data.count;
                  maxPage = Math.ceil(count/100) //最大页码值
                  if(schoolsResult.length != undefined && schoolsResult.length != 0) {
                      var i = 0;
                      $("#search_school_result_list").html('');
                      for (; i < schoolsResult.length; i++) {
                          link = '<a onclick="window.changeValue(\'' + schoolsResult[i].school.name.replace(/\s/g," ") + '\',\'' + schoolsResult[i].school.id + '\')" href="javascript:void(0)">' + schoolsResult[i].school.name + '</a><br/>';
                          $("#search_school_result_list").append(link);
                      }
                      $("#search_school_result_list").css('left', $(e.target).offset().left);
                      $("#search_school_result_list").css('top', $(e.target).offset().top + 28);
                      $("#search_school_result_list").css("position", "absolute");
                      $("#search_school_result_list").show();
                      if($(e.target).val().trim() != '') {
                          str = e.target.value.length > 8 ?  e.target.value.substr(0, 6)+"..." : e.target.value;
                          $("#hint").html('找到了' + count + '个包含"' + str + '"的高校');
                          $("#hint").show();
                      }else{
                          $("#hint").hide();
                      }
                  }else{
                      $("#search_school_result_list").html('');
                      str = e.target.value.length > 4 ?  e.target.value.substr(0, 4)+"..." : e.target.value;
                      $("#hint").html('没有找到包含"'+str+'"的高校，<a style="color:#64bdd9" onclick="add_school(\''+ e.target.value+'\');" href="javascript:void(0);">创建高校</a>');
                      $("#hint").show();
                  }
              }
          });
      });

//    $("#province").leanModal({top: 100, closeButton: ".modal_close"});

    //地区
    var province = "<%= "#{province}" %>"
    var city = "<%= "#{city}" %>"
    init_province_and_city(document.getElementById('userProvince'), province, document.getElementById('userCity'), city);

    //select
    var identity = "<%= "#{identity}" %>"
    var title = "<%= "#{title}" %>"
    var language = "<%= "#{language}" %>"
    var occupation1 = "<%= "#{occupation}" %>"
    init_identity_and_title(document.getElementById('userIdentity'), identity, document.getElementById('userTechnical_title'), title, language);

    //sex
    var gender = "<%= "#{gender}" %>"
    init_gender(document.getElementById('gender'), gender);

    $("#userIdentity").change();
    <% if( !@act.nil? && @act == 'password') %>
    $("#users_tb_2").click();
    <% end %>
    $('#my_account_form_link').click(function(e){
        if($("#userIdentity").val() == -1 ) {
            $("#identity_hint").html('<span style="color:red">请选择身份</span>').show();
            e.stopImmediatePropagation();
            return;
        }
        if( $("input[name='province']").val().trim() != '' && $("input[name='occupation']").val().trim() == ''){  //学校名字和id不对的话
            $("#hint").html('<span style="color:red">学校必须是从下拉列表中选择的,不能手动修改</span>').show();
            e.stopImmediatePropagation();
            return;
        }
      $('#my_account_form_btn').click();
    });
    $('#my_password_form_link').click(function(){
      $('#my_password_form_btn').click();
    });
  });
</script>
<script type="text/javascript">
  function g(o){return document.getElementById(o);}
  function HoverLi(n){
    for(var i=1;i<=2;i++){g('users_tb_'+i).className='users_normaltab';g('users_tbc_0'+i).className='users_undis';}g('users_tbc_0'+n).className='users_dis';g('users_tb_'+n).className='users_hovertab';
  }
</script>